com.microfocus.awm.model

## Enum EErrorFeedbackEntryType

- java.lang.Object
- - java.lang.Enum<EErrorFeedbackEntryType>
  - - com.microfocus.awm.model.EErrorFeedbackEntryType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EErrorFeedbackEntryType>

      public enum EErrorFeedbackEntryType
      extends java.lang.Enum<EErrorFeedbackEntryType>

  Type of an `IErrorFeedbackEntry`.
  Author:
    Christelle Biahmou

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL_FILE` Local file
    `MVS_PO_MEMBER` MVS PO Member
    `MVS_SEQ` MVS sequential data set

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EErrorFeedbackEntryType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EErrorFeedbackEntryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MVS_PO_MEMBER

          public static final EErrorFeedbackEntryType MVS_PO_MEMBER

      MVS PO Member

    - #### MVS_SEQ

          public static final EErrorFeedbackEntryType MVS_SEQ

      MVS sequential data set

    - #### LOCAL_FILE

          public static final EErrorFeedbackEntryType LOCAL_FILE

      Local file

  - ### Method Detail

    - #### values

          public static EErrorFeedbackEntryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EErrorFeedbackEntryType c : EErrorFeedbackEntryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EErrorFeedbackEntryType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.